### R code from vignette source 'weathermetrics.Rnw'

###################################################
### code chunk number 1: weathermetrics.Rnw:13-14
###################################################
library(weathermetrics)


###################################################
### code chunk number 2: weathermetrics.Rnw:52-56
###################################################
data(lyon)
lyon$T_F <- celsius.to.fahrenheit(lyon$TemperatureC)
lyon$DP_F <- celsius.to.fahrenheit(lyon$DewpointC)
lyon


###################################################
### code chunk number 3: weathermetrics.Rnw:64-68
###################################################
data(norfolk)
norfolk$T_C <- fahrenheit.to.celsius(norfolk$TemperatureF)
norfolk$DP_C <- fahrenheit.to.celsius(norfolk$DewpointF)
norfolk


###################################################
### code chunk number 4: weathermetrics.Rnw:83-88
###################################################
data(lyon)
lyon$RH <- dewpoint.to.humidity(t = lyon$TemperatureC,
                                dp = lyon$DewpointC,
                                temperature.metric = "celsius")
lyon


###################################################
### code chunk number 5: weathermetrics.Rnw:109-114
###################################################
data(newhaven)
newhaven$DP <- humidity.to.dewpoint(t = newhaven$TemperatureF,
                                    rh = newhaven$Relative.Humidity,
                                    temperature.metric = "fahrenheit")
newhaven


###################################################
### code chunk number 6: weathermetrics.Rnw:125-131
###################################################
data(newhaven)
newhaven$DP <- humidity.to.dewpoint(t = newhaven$TemperatureF,
                                    rh = newhaven$Relative.Humidity,
                                    temperature.metric = "fahrenheit")
newhaven$DP_C <- fahrenheit.to.celsius(newhaven$DP)
newhaven


###################################################
### code chunk number 7: weathermetrics.Rnw:150-156
###################################################
data(suffolk)
suffolk$HI <- heat.index(t = suffolk$TemperatureF,
                         rh = suffolk$Relative.Humidity,
                         temperature.metric = "fahrenheit",
                         output.metric = "fahrenheit")
suffolk


###################################################
### code chunk number 8: weathermetrics.Rnw:172-178
###################################################
data(lyon)
lyon$HI_F <- heat.index(t = lyon$TemperatureC,
                      dp = lyon$DewpointC,
                      temperature.metric = "celsius",
                      output.metric = "fahrenheit")
lyon


###################################################
### code chunk number 9: weathermetrics.Rnw:201-206
###################################################
df <- data.frame(T = c(NA, 90, 85),
                 DP = c(80, NA, 70))
df$RH <- dewpoint.to.humidity(t = df$T, dp = df$DP,
                              temperature.metric = "fahrenheit")
df


###################################################
### code chunk number 10: weathermetrics.Rnw:215-220
###################################################
df <- data.frame(T = c(90, 90, 85),
                 DP = c(80, 95, 70))
df$heat.index <- heat.index(t = df$T, dp = df$DP,
                            temperature.metric = 'fahrenheit')
df


###################################################
### code chunk number 11: weathermetrics.Rnw:235-242
###################################################
data(suffolk)
suffolk$TempC <- fahrenheit.to.celsius(suffolk$TemperatureF,
                                       round = 5)
suffolk$HI <- heat.index(t = suffolk$TemperatureF, 
                         rh = suffolk$Relative.Humidity,
                         round = 3)
suffolk


